ALE
Image Processing Software
Deblurring, Anti-aliasing, and Superresolution.
Local Operation

localhost
2684415918

[ Up ]

# ALE Default Settings

ALE offers five different default settings, each of which emphasizes image quality, speed, or some other rendering characteristic, as follows:

    --q0              Low quality, high speed. [default]
    --qn              Low noise, moderate speed.
    --q1              Moderate quality and speed.
    --q2              High quality, low speed.
    --qr              Range-extended high quality.

These settings specify defaults for other options: `--dchain`, `--achain`, `--mc`, `--ips`, `--exp-extend`, and `--cx`. For more information about these options, see the alignment and rendering manual pages. Details regarding these defaults are provided in the following sections.

## High speed (--q0)

`--q0` emphasizes speed over image quality. This option is default, and sets other options' defaults as follows:

       --dchain fine:box:1,triangle:2
       --achain triangle:2
       --mc 30
       --ips 0
       --exp-noextend
       --no-cx

## Low noise (--qn)

`--qn` emphasizes low noise over resolution and rendering speed, and sets the following defaults:

       --dchain sinc*lanc:6
       --achain sinc*lanc:6
       --mc 50
       --ips 0
       --exp-noextend
       --no-cx

## Balanced quality and speed (--q1)

`--q1` balances image quality and rendering speed, offering higher resolution than `--qn`. In versions 0.8.1 and later, this option uses median values, which can be very memory-intensive to calculate. The following defaults are used in versions 0.8.1 and later:

       --dchain median:fine:sinc*lanc:8,triangle:2  [0.8.1 and later]
       --achain triangle:2                          [0.8.1 and later]
       --mc 50
       --ips 0
       --exp-noextend
       --no-cx

In 0.8.0, the following defaults are used:

       --dchain fine:sinc*lanc:6,sinc*lanc:6        [0.8.0]
       --achain sinc*lanc:6                         [0.8.0]
       --mc 50
       --ips 0
       --exp-noextend
       --no-cx

## High quality (--q2)

`--q2` favors image quality over rendering speed, offering greater emphasis for high-frequency details than `--q0`, `--qn`, or `--q1`. It depends on the `--lpsf` and `--nlpsf` options, which can be set indirectly via the `--device` option. (More information about these options can be found on the PSF and device pages.) `--q2` sets the following defaults:

       --dchain sinc*lanc:8
       --achain sinc*lanc:8
       --no-mc
       --ips 4
       --exp-noextend
       --no-cx

## Range extension (--qr)

`--qr` is similar to `--q2`, but offers improved rendering when input images have been taken with unequal exposures. In other cases, it might exacerbate noise in light and dark regions, and so should not be used. This option sets the following defaults:

       --dchain sinc*lanc:8
       --achain sinc*lanc:8
       --no-mc
       --ips 6
       --exp-extend
       --cx 0.7

Copyright 2003, 2004 David Hilvert

Verbatim copying and distribution of this entire article is permitted in any medium, provided this notice is preserved.